Bug 419274 - Saving settings aren't respected
Summary: Saving settings aren't respected
Status: RESOLVED FIXED
Alias: None
Product: Skanlite
Classification: Applications
Component: general (show other bugs)
Version: 2.1.0.1
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kåre Särs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-26 21:56 UTC by mirh
Modified: 2021-09-09 17:37 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mirh 2020-03-26 21:56:02 UTC
SUMMARY
I set jpg as the default extension, but every time I get to save an image its default extension is set back to png despite of that. 

STEPS TO REPRODUCE
1. Set jpg as the default image format
2. Scan. 
3. Save

OBSERVED RESULT
Png always comes out (at least on a "fresh" start of the program)

EXPECTED RESULT
Respect the preference
(or better yet, I wonder why not just remembering the last used setting?)

SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.18.3
KDE Frameworks Version: 5.68.0
Qt Version: 5.14.1

ADDITIONAL INFORMATION
Btw isn't it possible to get the jpeg quality slider in the path selection dialog? 
Irfanview would do this for example.
Comment 1 WhyDoIHaveToRegister 2021-04-21 22:40:30 UTC
Just ran into this same issue with my mom's computer, which was causing scanned documents to be 100MB+ PNGs instead of 1MB JPEGs. Even though Skanlite is set to save as JPEG, when the Save dialog appears, the selected format is PNG. You can change it to JPEG and it will honor that, but the default setting isn't what it should be, and a non-techie user has no idea they need to change it.
Comment 2 Bug Janitor Service 2021-09-08 14:29:04 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/skanlite/-/merge_requests/17
Comment 3 Alexander Stippich 2021-09-09 17:37:47 UTC
Git commit 2bcd0daf6ab65a62d5d121efddd0acac50f3242b by Alexander Stippich.
Committed on 09/09/2021 at 17:36.
Pushed by astippich into branch 'master'.

fix preselecting the image format
with the one from the settings dialog.
image/+fileSuffix does not always correspond to the mimetype
Related: bug 441223

M  +55   -9    src/SaveLocation.cpp
M  +5    -4    src/SaveLocation.h
M  +21   -24   src/skanlite.cpp
M  +0    -1    src/skanlite.h

https://invent.kde.org/graphics/skanlite/commit/2bcd0daf6ab65a62d5d121efddd0acac50f3242b